Subject: RE: bug#12612: 24.2.50; Frame Background RGB(1,1,1) Darker Than Set Using GTK3

From: Taylor Venable <[email-masked]>
Date: Mon, 15 Oct 2012 09:30:03 -0400

Works for me, thank you!

-----Original Message-----
From: Jan Djärv [mailto:[email-masked]] 
Sent: Saturday, October 13, 2012 5:53 PM
To: Stephen Berman
Cc: Taylor Venable; [email-masked]
Subject: Re: bug#12612: 24.2.50; Frame Background RGB(1,1,1) Darker Than Set Using GTK3

Hello.

I think I fixed this, please test it.

Thanks,

	Jan D.

9 okt 2012 kl. 22:18 skrev Stephen Berman <[email-masked]>:

> On Tue, 9 Oct 2012 14:11:09 -0400 Taylor Venable <[email-masked]> wrote:
> 
>> When using GTK3, any time one sets the frame background (e.g. from 
>> startup, or using set-frame-parameter) there is a difference between 
>> the background color of the part of the frame with text, and the part 
>> of the frame without. The part with text is correct, but the part of 
>> the frame without is darker by 1 bit in all three RGB attributes. For 
>> example, the default background is white; if you take a screenshot 
>> and look at the result in the GIMP you will find that space between 
>> text is #ffffff, whereas the background after the end of the line or buffer is #fefefe.
>> 
>> Only with GTK3 have I noticed this; with GTK2 this does not occur. 
> 
> I confirm both these observations.
> 
>> happens with -Q. You don't notice it with light (Emacs) themes, but 
>> on my monitor I can see it with darker (Emacs) themes fairly easily. 
>> When in doubt, you can always check with a screenshot.
> 
> On my monitor (and with my eyes) I can't tell the difference, but when 
> I used a color picker program it showed just what you describe.
> 
>>                                                  The exception is if 
>> the background is set to #000000, in which case everything has a 
>> background of #000000 as it should.
> 
> I guess that's no exception, since there are no negative RGB values.
> 
>> I have no GTK3 theme set. Thanks for having a look.
> 
> I'm using oxygen-gtk on KDE4.
> 
>> In GNU Emacs 24.2.50.2 (x86_64-unknown-linux-gnu, GTK+ Version 3.4.4) 
>> of 2012-10-09 on trantor Bzr revision: 
>> [email-masked]
> 
> Mine: GNU Emacs 24.2.50.1 (x86_64-suse-linux-gnu, GTK+ Version 3.4.4) 
> of
> 2012-10-03 on rosalinde
> Bzr revision 110349 [email-masked]
> 
> (Not seen on GNU Emacs 23.3.1 (x86_64-suse-linux-gnu, GTK+ Version
> 2.24.10) of 2012-08-15 on build21.)
> 
>